打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Citizen.css:修订间差异

MediaWiki界面页面
DGCK81LNN留言 | 贡献
无编辑摘要
LNNBot留言 | 贡献
导入1个版本:​从分支站同步更改
标签自动同步
 
(未显示2个用户的4个中间版本)
第1行: 第1行:
.lnnblog-button-white {
.lnnblog-button-white {
    color: var(--color-base);
color: var(--color-base);
    background: var(--background-color-transparent);
background: var(--background-color-transparent);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
    border: var(--border-width-base) solid var(--border-color-interactive);
border: var(--border-width-base) solid var(--border-color-interactive);
    padding: var(--space-xs) var(--space-md);
padding: var(--space-xs) var(--space-md);
}
}
.lnnblog-button-white:hover {
.lnnblog-button-white:hover {
第11行: 第11行:
.lnnblog-button-white:active {
.lnnblog-button-white:active {
background: var(--background-color-button-quiet--active);
background: var(--background-color-button-quiet--active);
}
}ex


.lnnblog-button-blue {
.lnnblog-button-blue {
    color: var(--color-inverted-primary);
color: var(--color-inverted-primary);
    background: var(--color-progressive);
background: var(--color-progressive);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
    border: none;
border: none;
    padding: var(--space-xs) var(--space-md);
padding: var(--space-xs) var(--space-md);
    font-weight: var(--font-weight-medium);
font-weight: var(--font-weight-medium);
}
}
.lnnblog-button-blue:hover {
.lnnblog-button-blue:hover {
第29行: 第29行:


.lnnblog-button-red {
.lnnblog-button-red {
    color: var(--color-inverted-primary);
color: var(--color-inverted-primary);
    background: var(--color-destructive);
background: var(--color-destructive);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
    border: none;
border: none;
    padding: var(--space-xs) var(--space-md);
padding: var(--space-xs) var(--space-md);
    font-weight: var(--font-weight-medium);
font-weight: var(--font-weight-medium);
}
}
.lnnblog-button-red:hover {
.lnnblog-button-red:hover {
第48行: 第48行:
}
}
.lnnblog-documentation-header {
.lnnblog-documentation-header {
    border-bottom: none;
border-bottom: none;
}
}


a.extiw {
a.extiw.extiw,
    color: #008173;
a.extiw.extiw:visited {
    color: oklch(var(--color-progressive-oklch__l) var(--color-progressive-oklch__c) 183);
color: #008173;
color: oklch(var(--color-progressive-oklch__l) var(--color-progressive-oklch__c) 183);
}
}
a.extiw:where(:not([role='button'])):hover {
a.extiw.extiw:hover {
    color: #008f7f;
color: #008f7f;
    color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-hover-state)) var(--color-progressive-oklch__c) 183);
color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-hover-state)) var(--color-progressive-oklch__c) 183);
}
}
a.extiw:where(:not([role='button'])):active {
a.extiw.extiw:active {
    color: #007467;
color: #007467;
    color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-active-state)) var(--color-progressive-oklch__c) 183);
color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-active-state)) var(--color-progressive-oklch__c) 183);
}
}


第68行: 第69行:
}
}
.mw-templatedata-doc-wrap .wikitable {
.mw-templatedata-doc-wrap .wikitable {
    border-top-left-radius: 0;
border-top-left-radius: 0;
    border-top-right-radius: 0;
border-top-right-radius: 0;
}
}


第80行: 第81行:
}
}
.infoBoxContent {
.infoBoxContent {
    border: var(--border-base);
border: var(--border-base);
    border-left: none;
border-left: none;
    border-radius: 0 var(--border-radius-medium) var(--border-radius-medium) 0;
border-radius: 0 var(--border-radius-medium) var(--border-radius-medium) 0;
    background: var(--background-color-base);
background: var(--background-color-base);
}
}


第90行: 第91行:
background: var(--background-color-base);
background: var(--background-color-base);
border: var(--border-base);
border: var(--border-base);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
}
}
.lnnblog-box-heading,
.lnnblog-box-heading,
第96行: 第97行:
color: var(--color-subtle);
color: var(--color-subtle);
background: var(--color-surface-1);
background: var(--color-surface-1);
    border-top-left-radius: var(--border-radius-medium);
border-top-left-radius: var(--border-radius-medium);
    border-top-right-radius: var(--border-radius-medium);
border-top-right-radius: var(--border-radius-medium);
}
}
.lnnblog-box-heading:not(:empty) + .lnnblog-box-body,
.lnnblog-box-heading:not(:empty) + .lnnblog-box-body,
第104行: 第105行:
}
}
.lnnblog-hidebox:not([open]) > .lnnblog-hidebox-heading {
.lnnblog-hidebox:not([open]) > .lnnblog-hidebox-heading {
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
}
}


.lnnblog-jk {
.lnnblog-jk {
    color: var(--color-disabled);
color: var(--color-disabled);
}
}


第114行: 第115行:
background: var(--background-color-base);
background: var(--background-color-base);
border: var(--border-base);
border: var(--border-base);
    border-radius: var(--border-radius-medium);
border-radius: var(--border-radius-medium);
    display: block;
display: block;
    max-width: max-content;
max-width: max-content;
    overflow: clip;
overflow: clip;
}
}
.lnnblog-infobox-titlebar {
.lnnblog-infobox-titlebar {
第135行: 第136行:


blockquote {
blockquote {
    border-left-color: var(--color-disabled);
border-left-color: var(--color-disabled);
}
}


em:lang(ja), em:lang(ko), em:lang(mn), em:lang(zh) {
em:lang(ja), em:lang(ko), em:lang(mn), em:lang(zh) {
    text-emphasis-position: under;
text-emphasis-position: under;
}
}


第203行: 第204行:
.citizen-table-wrapper:has(>.lnnblog-float),
.citizen-table-wrapper:has(>.lnnblog-float),
.citizen-table-wrapper:has(>.lnnblog-infobox){
.citizen-table-wrapper:has(>.lnnblog-infobox){
    display: contents;
display: contents;
}
}
cite {
cite {
第211行: 第212行:
/* HotCat */
/* HotCat */
.mw-normal-catlinks {
.mw-normal-catlinks {
    font-size: var(--font-size-x-small);
font-size: var(--font-size-x-small);
    color: var(--color-base--subtle);
color: var(--color-base--subtle);
    letter-spacing: .05em;
letter-spacing: .05em;
}
}
.mw-normal-catlinks>a {
.mw-normal-catlinks>a {
    display: inline;
display: inline;
}
}

2026年5月18日 (一) 21:38的最新版本

.lnnblog-button-white {
	color: var(--color-base);
	background: var(--background-color-transparent);
	border-radius: var(--border-radius-medium);
	border: var(--border-width-base) solid var(--border-color-interactive);
	padding: var(--space-xs) var(--space-md);
}
.lnnblog-button-white:hover {
	background: var(--background-color-button-quiet--hover);
}
.lnnblog-button-white:active {
	background: var(--background-color-button-quiet--active);
}ex

.lnnblog-button-blue {
	color: var(--color-inverted-primary);
	background: var(--color-progressive);
	border-radius: var(--border-radius-medium);
	border: none;
	padding: var(--space-xs) var(--space-md);
	font-weight: var(--font-weight-medium);
}
.lnnblog-button-blue:hover {
	background-color: var(--color-progressive--hover);
}
.lnnblog-button-blue:active {
	background-color: var(--color-progressive--active);
}

.lnnblog-button-red {
	color: var(--color-inverted-primary);
	background: var(--color-destructive);
	border-radius: var(--border-radius-medium);
	border: none;
	padding: var(--space-xs) var(--space-md);
	font-weight: var(--font-weight-medium);
}
.lnnblog-button-red:hover {
	background-color: var(--color-destructive--hover);
}
.lnnblog-button-red:active {
	background-color: var(--color-destructive--active);
}

.lnnblog-documentation {
	border: var(--border-base);
	border-radius: var(--border-radius-large);
}
.lnnblog-documentation-header {
	border-bottom: none;
}

a.extiw.extiw,
a.extiw.extiw:visited {
	color: #008173;
	color: oklch(var(--color-progressive-oklch__l) var(--color-progressive-oklch__c) 183);
}
a.extiw.extiw:hover {
	color: #008f7f;
	color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-hover-state)) var(--color-progressive-oklch__c) 183);
}
a.extiw.extiw:active {
	color: #007467;
	color: oklch(calc(var(--color-progressive-oklch__l) + var(--delta-lightness-active-state)) var(--color-progressive-oklch__c) 183);
}

.wikitable {
	background: var(--background-color-base);
}
.mw-templatedata-doc-wrap .wikitable {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.cdx-message {
	border-radius: var(--border-radius-medium);
}

.infoBox {
	border-radius: var(--border-radius-medium);
}
.infoBoxContent {
	border: var(--border-base);
	border-left: none;
	border-radius: 0 var(--border-radius-medium) var(--border-radius-medium) 0;
	background: var(--background-color-base);
}

.lnnblog-box,
.lnnblog-hidebox {
	background: var(--background-color-base);
	border: var(--border-base);
	border-radius: var(--border-radius-medium);
}
.lnnblog-box-heading,
.lnnblog-hidebox-heading {
	color: var(--color-subtle);
	background: var(--color-surface-1);
	border-top-left-radius: var(--border-radius-medium);
	border-top-right-radius: var(--border-radius-medium);
}
.lnnblog-box-heading:not(:empty) + .lnnblog-box-body,
.lnnblog-hidebox-body {
	border-top: var(--border-base);
}
.lnnblog-hidebox:not([open]) > .lnnblog-hidebox-heading {
	border-radius: var(--border-radius-medium);
}

.lnnblog-jk {
	color: var(--color-disabled);
}

.lnnblog-infobox {
	background: var(--background-color-base);
	border: var(--border-base);
	border-radius: var(--border-radius-medium);
	display: block;
	max-width: max-content;
	overflow: clip;
}
.lnnblog-infobox-titlebar {
	background: var(--color-surface-1);
	color: var(--color-subtle);
}
.lnnblog-infobox tr ~ tr {
	border-top: var(--border-base);
}
.lnnblog-infobox tr:hover > * {
	background: var(--background-color-button-quiet--hover);
}
.lnnblog-infobox th,
.lnnblog-infobox td {
	padding: var(--space-xxs) var(--space-xs);
}

blockquote {
	border-left-color: var(--color-disabled);
}

em:lang(ja), em:lang(ko), em:lang(mn), em:lang(zh) {
	text-emphasis-position: under;
}

/* 亮色主题下不给 wordmark 图片反色 */
.skin-citizen-light #footer-sitetitle img.mw-logo-wordmark,
.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
	filter: none !important;
}
@media not screen {
	#footer-sitetitle img.mw-logo-wordmark {
		filter: none !important;
	}
}
@media screen and (prefers-color-scheme: dark) {
	.skin-citizen-auto #footer-sitetitle img.mw-logo-wordmark {
		filter: invert(1) hue-rotate(180deg) !important;
	}
}

/* 暗色主题下可以选择给部分内容反色 */
.skin-citizen-dark .lnnblog-invert {
	filter: invert(1) hue-rotate(180deg) !important;
}

/* 更紧凑的 editOptions */
.editOptions {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;
	padding: 1rem;
	gap: 0.5rem;
}
#wpSummaryLabel {
	width: 100%;
}
#wpSummaryLabel .oo-ui-fieldLayout-body {
	display: flex;
	align-items: center;
}
#wpSummaryLabel .oo-ui-fieldLayout-field {
	flex: 1;
}
#wpSummaryWidget {
	margin-bottom: 0 !important;
}
#editpage-copywarn {
	display: none;
}
#wpSaveWidget,
#wpPreviewWidget,
#wpDiffWidget {
	margin-top: 0;
}
#mw-editform-cancel {
	margin: 0;
}

/* Citizen compatibility fixes */
table {
	display: table;
}
.citizen-table-wrapper:has(>.lnnblog-float),
.citizen-table-wrapper:has(>.lnnblog-infobox){
	display: contents;
}
cite {
	font-style: italic;
}

/* HotCat */
.mw-normal-catlinks {
	font-size: var(--font-size-x-small);
	color: var(--color-base--subtle);
	letter-spacing: .05em;
}
.mw-normal-catlinks>a {
	display: inline;
}